Modules/DiscountMode/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group([
    'middleware' => ['web', 'auth-checker'],
    'prefix' => 'admin/discount/mode',
    'as' => 'patient.discount.mode.'
], function () {
    Route::get('/', array(
        'as' => 'form',
        'uses' => 'PatientDiscountModeController@displayDiscountModeForm'
    ));

    Route::get('/insert-patient-mode', array(
        'as' => 'insert',
        'uses' => 'PatientDiscountModeController@insertPatientMode'
    ));

    Route::get('/edit-patient-mode', array(
        'as' => 'edit',
        'uses' => 'PatientDiscountModeController@editPatientMode'
    ));

    Route::post('/update-patient-mode', array(
        'as' => 'update',
        'uses' => 'PatientDiscountModeController@updatePatientMode'
    ));

    Route::any('/list-discount-items', array(
        'as' => 'list.items.by.group',
        'uses' => 'PatientDiscountModeController@listByDiscountGroup'
    ));

    Route::post('/add-discount-items', array(
        'as' => 'add.items.by.group',
        'uses' => 'PatientDiscountModeController@addByDiscountGroup'
    ));

    Route::post('/update-discount-items', array(
        'as' => 'update.items.by.group',
        'uses' => 'PatientDiscountModeController@updateByDiscountGroup'
    ));

    Route::post('/delete-discount-items', array(
        'as' => 'delete.items',
        'uses' => 'PatientDiscountModeController@deleteNoDiscount'
    ));

    Route::post('/delete-discount-mode', array(
        'as' => 'delete.mode',
        'uses' => 'PatientDiscountModeController@deleteDiscountMode'
    ));

    Route::post('/custom-discount-list', array(
        'as' => 'custom.list',
        'uses' => 'PatientDiscountModeController@displayDiscountList'
    ));

    Route::post('/custom-discount-type-list', array(
        'as' => 'custom.type.list',
        'uses' => 'PatientDiscountModeController@displayDiscountListByType'
    ));

    Route::post('/custom-discount-save', array(
        'as' => 'custom.type.save',
        'uses' => 'PatientDiscountModeController@saveCustomDiscount'
    ));

    Route::post('/custom-discount-delete', array(
        'as' => 'delete.custom.discount.by.type',
        'uses' => 'PatientDiscountModeController@deleteCustomDiscountByType'
    ));

    Route::post('/custom-discount-specific-save', array(
        'as' => 'specific.custom.discount.save',
        'uses' => 'PatientDiscountModeController@saveCustomDiscountSpecific'
    ));


});

Modules/DiscountMode/Resources/views/modal/current-discount.blade.php
<div class="modal fade bd-curr-modal-lg show" tabindex="-1" role="dialog" aria-modal="true">
    <div class="modal-dialog modal-lg">
        <form action="{{ route('patient.discount.mode.custom.type.save') }}" id="custom-discount-form" method="post">
            @csrf
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Discount Category</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="form-group form-row col-12">
                            <label class="col-md-2 control-label">Discount label</label>
                            <div class="col-md-10">
                                <input type="text" name="discountLable" class="form-control fldtype-custom" readonly/>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group form-row">
                                <label class="col-md-5">Laboratory</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="Laboratory" id="custom-Laboratory" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-5">Radiology</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="Radiology" id="custom-Radiology" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-5">Procedures</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="Procedures" id="custom-Procedures" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>
<!--                            <div class="form-group form-row">
                                <label class="col-md-5">Registration</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="Registration" id="custom-Registration" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>-->
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group form-row">
                                <label class="col-md-5">Equipment</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="Equipment" id="custom-Equipment" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-5">Gen Services</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="GenServices" id="custom-GenServices" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-5">Others</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="Others" id="custom-Others" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <button type="button" class="btn btn-primary" onclick="discountModePatient.customDiscountSpecificSave()"><i class="fa fa-edit"></i> update</button>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group form-row">
                                <label class="col-md-5">Medical</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="Medical" id="custom-Medical" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-5">Surgical</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="Surgical" id="custom-Surgical" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-5">Extra Item</label>
                                <div class="col-md-6 padding-none">
                                    <input type="number" name="ExtraItem" id="custom-ExtraItem" class="form-control" placeholder="0"/>
                                </div>
                                <div class="col-sm-1">
                                    <label>%</label>
                                </div>
                            </div>

                        </div>
                        <div class="form-group form-row col-12">
                            <div class="col-sm-2">
                                <select name="category" id="discount-category" class="form-control" onchange="discountModePatient.customDiscountListByType()">
                                    <option value="">--Select--</option>
                                    <option value="Diagnostic Tests">Diagnostic Tests</option>
                                    <option value="Equipment">Equipment</option>
                                    <option value="General Services">General Services</option>
{{--                                    <option value="medbrand">Medicine Brand</option>--}}
                                    <option value="Other Items">Other Items</option>
                                    <option value="Procedures">Procedures</option>
                                    <option value="Radio Diagnostics">Radio Diagnostics</option>
{{--                                    <option value="surgbrand">Surgical Brand</option>--}}
{{--                                    <option value="extrabrand">Extra Brand</option>--}}
                                </select>
                            </div>
                            <div class="col-md-5">
                                <select name="itemName" id="discount-itemName" class="form-control">
                                    <option value="">--Select--</option>
                                </select>
                            </div>
                            <div class="col-sm-1">
                                <button type="button" class="btn btn-primary">
                                    <i class="fa fa-ellipsis-v" aria-hidden="true"></i><i class="fa fa-ellipsis-v" aria-hidden="true"></i><i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                                </button>
                            </div>
                            <div class="col-md-2">
                                <input type="number" name="customPercentage" class="form-control" placeholder="0"/>

                            </div>
                            <div class="col-sm-1">
                                <label>%</label>
                            </div>
                            <div class="col-sm-1">
                                <button type="button" class="btn btn-primary" onclick="discountModePatient.customDiscountSave()"><i class="fa fa-plus"></i></button>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="table-responsive table-scroll-fiscal mt-3">
                                <table class="table table-bordered table-sm">
                                    <thead>
                                    <tr>
                                        <th>Category</th>
                                        <th>Item Name</th>
                                        <th>Disc %</th>
                                        <th>&nbsp;</th>
                                    </tr>
                                    </thead>
                                    <tbody id="custom-discount-list"></tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
{{--                    <button type="submit" class="btn btn-primary">Save changes</button>--}}
                </div>
            </div>
        </form>

    </div>
</div>

Modules/DiscountMode/Resources/views/modal/no-discount.blade.php
<div class="modal fade bd-no-discount-modal-lg show" tabindex="-1" role="dialog" aria-modal="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">No Discount List</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="javascript:;" id="form-add-new-no-discount">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <select class="form-control" name="discountGroup" id="discountGroup" onchange="discountModePatient.listByDiscountGroup()">
                                    <option>--Select--</option>
                                    @if($noDiscountList)
                                        @forelse($noDiscountList as $disItem)
                                            <option value="{{ $disItem }}">{{ $disItem }}</option>
                                        @empty

                                        @endforelse
                                    @endif
                                </select>
                            </div>

                            <div class="discounttable">
                                <table class="table table-striped table-hover table-vcenter">
                                    <tbody id="before-add-list">
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="col-sm-1">
                            <button type="button" class="btn btn-primary mt-top" onclick="discountModePatient.addNoDiscount();"><i class="fa fa-arrow-right" aria-hidden="true"></i></button>
                        </div>
                        <div class="col-sm-5">
                            <div class="discounttable2">
                                <table class="table table-striped table-hover table-vcenter">
                                    <tbody id="after-add-list">
                                    @if($existingNoDiscount)
                                        @forelse($existingNoDiscount as $ExistingDisItem)
                                            <tr>
                                                <td>{{ $ExistingDisItem->flditemname }}</td>
                                                <td><a href="javascript:;" onclick="discountModePatient.deleteNoDiscount('{{ $ExistingDisItem->flditemname }}')"><i class="fa fa-trash text-danger"></i></a></td>
                                            </tr>
                                        @empty

                                        @endforelse
                                    @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                {{--<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Save changes</button>--}}
            </div>
        </div>
    </div>
</div>

Modules/DiscountMode/Resources/views/modal/update-discount.blade.php
<div class="modal fade" id="discount-modal">
    <div class="modal-dialog modal-lg" id="size">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 id="discount-modal-title"></h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                <div id="discount-form-data">
                </div>

            </div>
            {{--<i class="glyphicon glyphicon-chevron-left"></i>
            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>--}}

        </div>
    </div>
</div>